- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# ip_addr.h File Reference

`#include "net/arch.h"`

Go to the source code of this file.

## Data Structures
struct | ip_addr
## Defines
#define | IP6_ADDR(ipaddr, a, b, c, d, e, f, g, h)
#define | IP_ADDR_ANY 0
## Functions
int | ip_addr_cmp (struct ip_addr *addr1, struct ip_addr *addr2)
int | ip_addr_isany (struct ip_addr *addr)
int | ip_addr_maskcmp (struct ip_addr *addr1, struct ip_addr *addr2, struct ip_addr *mask)
void | ip_addr_set (struct ip_addr *dest, struct ip_addr *src)

## Define Documentation

#define IP6_ADDR | ( | ipaddr,
|  | a,
|  | b,
|  | c,
|  | d,
|  | e,
|  | f,
|  | g,
|  | h |  | ) |

Value:

    do { (ipaddr)->addr[0] = htonl((u32_t)((a & 0xffff) << 16) | (b & 0xffff)); \
                                                   (ipaddr)->addr[1] = htonl(((c & 0xffff) << 16) | (d & 0xffff)); \
                                                   (ipaddr)->addr[2] = htonl(((e & 0xffff) << 16) | (f & 0xffff)); \
                                                   (ipaddr)->addr[3] = htonl(((g & 0xffff) << 16) | (h & 0xffff)); } while(0)

Definition at line 46 of file ip_addr.h.

#define IP_ADDR_ANY 0

Definition at line 40 of file ip_addr.h.

## Function Documentation

int ip_addr_cmp | ( | struct ip_addr * | addr1,
|  | struct ip_addr * | addr2 |
| ) |  |  |

int ip_addr_isany | ( | struct ip_addr * | addr | ) |

int ip_addr_maskcmp | ( | struct ip_addr * | addr1,
|  | struct ip_addr * | addr2,
|  | struct ip_addr * | mask |
| ) |  |  |

void ip_addr_set | ( | struct ip_addr * | dest,
|  | struct ip_addr * | src |
| ) |  |  |